Bug 1256943 - [abrt] dnf: main.py:102:main:OSError: [Errno 5] Input/output error
[abrt] dnf: main.py:102:main:OSError: [Errno 5] Input/output error
Status: CLOSED DUPLICATE of bug 1382224
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
x86_64 Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c10b0c1a5e9542c5cf3c413f8bd...
: Triaged
: 1261591 1264173 1282534 1286744 1293761 1364774 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 15:50 EDT by Ilya Gradina
Modified: 2016-11-30 04:11 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-30 04:11:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.29 KB, text/plain)
2015-08-25 15:51 EDT, Ilya Gradina
no flags Details
File: environ (2.00 KB, text/plain)
2015-08-25 15:51 EDT, Ilya Gradina
no flags Details

  None (edit)
Description Ilya Gradina 2015-08-25 15:50:57 EDT
Version-Release number of selected component:
dnf-1.1.0-2.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -OO /bin/dnf update
executable:     /bin/dnf
kernel:         4.2.0-0.rc8.git0.1.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
main.py:102:main:OSError: [Errno 5] Input/output error

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 139, in _main
    cli.run()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 1082, in run
    self._process_demands()
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 804, in _process_demands
    load_available_repos=lar)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 244, in fill_sack
    self._add_repo_to_sack(r.id)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 126, in _add_repo_to_sack
    load_updateinfo=True)
KeyboardInterrupt

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 193, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 102, in main
    print(_("Terminated."), file=sys.stderr)
OSError: [Errno 5] Input/output error

Local variables in innermost frame:
base: <dnf.cli.cli.BaseCli object at 0x7f7388fb4940>
args: ['update']
Comment 1 Ilya Gradina 2015-08-25 15:51:01 EDT
Created attachment 1066974 [details]
File: backtrace
Comment 2 Ilya Gradina 2015-08-25 15:51:02 EDT
Created attachment 1066975 [details]
File: environ
Comment 3 Honza Silhan 2015-09-01 07:51:55 EDT
thanks for the report.
Comment 4 Honza Silhan 2015-09-16 05:39:02 EDT
*** Bug 1261591 has been marked as a duplicate of this bug. ***
Comment 5 Michal Luscon 2015-09-21 05:03:47 EDT
*** Bug 1264173 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:38:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Igor Gnatenko 2016-08-08 07:26:24 EDT
*** Bug 1364774 has been marked as a duplicate of this bug. ***
Comment 8 Igor Gnatenko 2016-08-08 07:34:36 EDT
*** Bug 1282534 has been marked as a duplicate of this bug. ***
Comment 9 Igor Gnatenko 2016-08-08 07:34:41 EDT
*** Bug 1286744 has been marked as a duplicate of this bug. ***
Comment 10 Igor Gnatenko 2016-08-08 07:34:50 EDT
*** Bug 1293761 has been marked as a duplicate of this bug. ***
Comment 11 Fedora End Of Life 2016-11-24 07:22:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Jaroslav Mracek 2016-11-30 04:11:25 EST

*** This bug has been marked as a duplicate of bug 1382224 ***

Note You need to log in before you can comment on or make changes to this bug.